create table category (
	id int(10) auto_increment primary key,
	name varchar(100)
) Type=InnoDB;

insert into category (name) values ('MPEG Videos');
insert into category (name) values ('Flash Videos');
insert into category (name) values ('MySpace Videos');
insert into category (name) values ('MySpace Games');
insert into category (name) values ('Pictures');
insert into category (name) values ('MySpace Pictures');

create table infobox (
	id int(10) auto_increment primary key,
	category_id int,
	caption varchar(100),
	description text,
	time_stamp datetime default 'now()',
	picture_url text,
	url text,
	rating int,
	views int,
	index (category_id),
	foreign key (category_id)  references  category(id) on delete set null
) Type=InnoDB;
alter table `infobox` add column c int default 0;
alter table `infobox` add column active bit default 1;
alter table `infobox` add column deleted bit default 0;

CREATE TABLE `groups` (
  `id` int(11) NOT NULL auto_increment,
  `group_name` varchar(100) default NULL,
  `group_description` varchar(200) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=InnoDB;
insert into groups (group_name) values ("admin");
insert into groups (group_name) values ("users");

CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `group_id` int(11) default NULL,
  `username` varchar(20) default NULL,
  `password` varchar(32) default NULL,
  `realname` varchar(100) default NULL,
  `email` varchar(100) default NULL,
  `homepage` varchar(100) default NULL,
  `description` text,
  `register_date` datetime default NULL,
  `priv` int(11) default NULL,
  `phone` varchar(100) default NULL,
  PRIMARY KEY  (`id`),
  KEY `group_id` (`group_id`),
  CONSTRAINT `users_ibfk_1` FOREIGN KEY (`group_id`) REFERENCES `groups` (`id`) ON DELETE CASCADE
) TYPE=InnoDB;
alter table users add column phone_type varchar(100) default null;

INSERT INTO users (username, password, group_id) VALUES ("root", md5("root"),1);

